Issue Details (XML | Word | Printable)

Key: CORE-1855
Type: Bug Bug
Status: Open Open
Priority: Major Major
Assignee: Paul Reeves
Reporter: Dmitry Yemanov
Votes: 0
Watchers: 0
Operations

If you were logged in you would be able to see more operations.
Firebird Core

The InnoSetup script doesn't detect the installed client library if its version is 2.1

Created: 21/Apr/08 11:34 PM   Updated: 05/Mar/09 10:31 AM
Component/s: Installation
Affects Version/s: 2.1.0
Fix Version/s: None

Environment: Windows

Target: 2.1.1


 Description  « Hide
From the source code:

        FB2Install: begin
          if (CompareVersion(ProductsInstalledArray[product].ClientVersion, '2.0.0.0',2) <> 0) then
            ProductsInstalledArray[product].InstallType := NotInstalled

Obviously, a new check for v2.1 would be welcome.

As a side note, maybe a check for IB 2007 would also be useful.

 All   Comments   Change History   Subversion Commits      Sort Order: Ascending order - Click to sort in descending order
Paul Reeves added a comment - 05/Mar/09 10:31 AM
I think we can close this one now.